const int trigPin = 8;
const int echoPin = 10;
void setup() {
  // put your setup code here, to run once: 
  Serial.begin( 9600 );
  Serial.println("Starting up");
}

void loop() {
    // establish variables for duration of the ping, 
  // and the distance result in inches and centimeters:
  long duration, inches, cm;

  // The sensor is triggered by a HIGH pulse of 10 or more microseconds.
  // Give a short LOW pulse beforehand to ensure a clean HIGH pulse:
  pinMode(trigPin, OUTPUT);
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  // Read the signal from the sensor: a HIGH pulse whose
  // duration is the time (in microseconds) from the sending
  // of the ping to the reception of its echo off of an object.
  pinMode(echoPin, INPUT);
  duration = pulseIn(echoPin, HIGH);

  // convert the time into a distance
  inches = microsecondsToInches(duration);
  cm = microsecondsToCentimeters(duration);
  
  Serial.print(inches);
  Serial.print("in, ");
  Serial.print(cm);
  Serial.print("cm");
  Serial.println();
  delay(1000);
  
  
   // read the input on analog pin 0:
  int sensorValue1 = analogRead(A0);
  // read the input on analog pin 1:
  int sensorValue2 = analogRead(A1);
  // print out the values you read:
  Serial.print(sensorValue1);
  Serial.print("    ");
  Serial.println(sensorValue2);
  // delay in between reads for stability
  delay(1000);

}

long microsecondsToInches(long microseconds)
{
    return microseconds / 74 / 2;
}

long microsecondsToCentimeters(long microseconds)
{
    return microseconds / 29 / 2;
}
